Return user properties#
Description#
Returns properties for a user with the provided ID, or a 404 if no such user is found.
GET /v1/security/users/{userId}
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
userId |
path |
string |
true |
The ID of the User. |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/security/users/{userId} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/security/users/{userId} \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/security/users/{userId}" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/security/users/{userId}', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a UserResponse containing a User object that matches the provided userId.
Example Responses#
{
"data": {
"id": "1",
"email": "dev@onecloud.io",
"first_name": "Dev",
"last_name": "Gomez",
"sso_enabled": true,
"last_sign_in_at": "2018-03-14 20:10:39.520585",
"created_at": "2018-03-14 20:10:39.520585"
}
}